Subject: [bug#67921] [PATCH v3 01/24] gnu: ghc: More robust build with binutils ≥ 2.39.

From: Divya Ranjan <[email-masked]>
Date: Fri, 15 Nov 2024 19:52:15 +0000

> I'm not sure I understand your question well. Once these derivations are built on the server and available as substitutes, users will replace them by downloading their binaries. But I'm not sure this is your
question.

I meant is this building process going to be conducted everytime one installs a version of ghc using guix install?

> Using 15 cores on x86-64, it takes basically one day (~10h) to rebuild versions 8.6 to 9.4.

That is humungous. I can't even estimate how long that'll take on my poor i3, if it doesn't melt it.

> If you wish to avoid these rebuild costs, you can instead just drop the patch, and use this option passed to the linker on 9.4 only (necessary, there are similar build
failures otherwise). This is actually a good alternative, since I know other versions will build. If you can fix 9.6, we can inject my first patch only for server evaluation before merging.

Okay, indeed this seems the better option. I'll try this the option method and see if 9.4 builds.

Also, do you want to catch up on this in-sync sometime? Like talk about this in realtime over mumble, jitsi or whatever. As a regular Haskeller I think this is extremely important, so I'm looking forward to getting this done.

Also, one of the reasons why we haven't yet packaged haskell-language-server is because of these ghc build issues, right?

Regards,

Divya Ranjan, Mathematics, Philosophy and Libre Software